Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultPseudoElementSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractElementSelector
          org.apache.batik.css.parser.DefaultPseudoElementSelector

All Implemented Interfaces:
  org.w3c.css.sac.ElementSelector, org.w3c.css.sac.Selector, org.w3c.css.sac.SimpleSelector

    public class DefaultPseudoElementSelector

extends AbstractElementSelector

This class implements the `ElementSelector` interface.

Field Summary

Fields inherited from class org.apache.batik.css.parser.AbstractElementSelector
`localName, namespaceURI`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`DefaultPseudoElementSelector(String uri, String name)` Creates a new ElementSelector object.

Method Summary
`short` | `getSelectorType()` SAC: Implements `Selector.getSelectorType()`.
`String` | `toString()` Returns a representation of the selector.

Methods inherited from class org.apache.batik.css.parser.AbstractElementSelector
`getLocalName, getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPseudoElementSelector

    public DefaultPseudoElementSelector(String uri,
                                        String name)

  Creates a new ElementSelector object.

Method Detail

### getSelectorType

    public short getSelectorType()

  SAC: Implements `Selector.getSelectorType()`.

### toString

    public String toString()

  Returns a representation of the selector.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.